/*
 * mux_float.h
 *
 *  Created on: 28-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef MUX_FLOAT_H_
#define MUX_FLOAT_H_

#include "tdefs.h"

struct mux_float_logic
{
	float *in1;
	float *in2;
	struct binary_io addr;
	float *out;
};

struct mux_float_io
{
	u32 in1_float_in;
	u32 in2_float_in;
	u32 addr_in;
	u32 out_float_out;
}__attribute__((__packed__));

struct mux_float_params
{
}__attribute__((__packed__));

struct mux_float_args
{
	struct mux_float_io io;
	struct mux_float_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void mux_float(void *args, void *logic);
extern int mux_float_initlog(void *arguments, void *logic);

#endif /* MUX_FLOAT_H_ */
